#
# spec file for package cim-schema
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon.
#
# The license for this spec file is the MIT/X11 license:
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

# norootforbuild

Name:           cim-schema
Url:            http://www.dmtf.org/
Summary:        Common Information Model (CIM) Schema
Version:        2.22.0
Release:        2.1%{?dist}
Group:          Development/Libraries
License:        DMTF
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        http://www.dmtf.org/standards/cim/cim_schema_v2220/cim_schema_%{version}Experimental-MOFs.zip
Source1:        http://www.dmtf.org/standards/cim/cim_schema_v2220/cim_schema_%{version}Experimental-Doc.zip
Source2:        loadmof.sh
Source3:        rmmof.sh
Source4:        LICENSE
BuildArch:      noarch

%package docs
Summary:        Common Information Model (CIM) Schema documentation
Group:          Documentation


%description
Common Information Model (CIM) is a model for describing overall
management information in a network or enterprise environment. CIM
consists of a specification and a schema. The specification defines the
details for integration with other management models. The schema
provides the actual model descriptions.



Authors:
--------
    DTMF <http://www.dmtf.org/about/contact>

%description docs
Common Information Model (CIM) schema documentation.

%prep
%setup -q -T -a 1 -c -n %{name}-%{version}-docs
%setup -q -T -a 0 -c -n %{name}-%{version}
cp -a %{SOURCE4} ..

%build
%install
MOFDIR=%{_datadir}/mof
CIMDIR=$MOFDIR/cimv%{version}
%__rm -rf $RPM_BUILD_ROOT
for i in `find . -name "*.mof"`; do
  sed -i -e 's/\r//g' $i
done
install -d $RPM_BUILD_ROOT/$CIMDIR
chmod -R go-wx .
chmod -R a+rX .
%__mv * $RPM_BUILD_ROOT/$CIMDIR/
ln -s cimv%{version} $RPM_BUILD_ROOT/$MOFDIR/cim-current
ln -s cim_schema_%{version}.mof $RPM_BUILD_ROOT/$MOFDIR/cim-current/CIM_Schema.mof
install -d $RPM_BUILD_ROOT/usr/bin
install -m 755 %{S:2} $RPM_BUILD_ROOT/usr/bin/
install -m 755 %{S:3} $RPM_BUILD_ROOT/usr/bin/

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%dir /usr/share/mof
%dir /usr/share/mof/cimv%{version}
/usr/share/mof/cimv%{version}/*
/usr/share/mof/cim-current
/usr/bin/loadmof.sh
/usr/bin/rmmof.sh
%doc ../LICENSE

%files docs
%defattr(-, root, root)
%doc ../%{name}-%{version}-docs/*


%changelog

